/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.artifacts.services.requestobjects;

/**
 * The default Implementation of <code>Parameter</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DefaultParameter implements Parameter {


    /**
     * The id of the Parameter
     */
    private String id = null;

    /**
     * The name of the Parameter
     */
    private String name = null;

    /**
     * Constructor
     * @param id The id of this parameter.
     * @param name The name of this parameter.
     */
    public DefaultParameter(String id, String name) {
        super();
        this.id = id;
        this.name = name;
    }

    public String getID() {
        return this.id;
    }

    public String getName() {
        return this.name;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
