/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.state;

import java.io.Serializable;

/**
 * This interface defines basic methods which are necessary for exports.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface ExportMode
extends          Serializable
{
    /**
     * Return the export name (e.g. pdf, svg, image).
     *
     * @return the export name.
     */
    public String getName();

    /**
     * Return the description for this export.
     *
     * @return the export description.
     */
    public String getDescription();

    /**
     * Returns the mime type used by this export.
     *
     * @return export's mimetype.
     */
    public String getMimeType();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
